FAQ Plugin
==========

_Author: Andy Carter_

_Migration Edits: Tom Gray_


Introduction
------------

Simple FAQ plugin. Adds ability to build an FAQ section with questions grouped by category.


Installation
------------

1. Create a 'Faqs' folder in www/Plugin
2. Copy the 'Config', 'Controller' and 'Model' folders into www/Plugin/Faqs
2. Add 'Faqs' to the plugin load array in bootstrap.php.
3. Run migration command for plugin;

        Console/cake Migrations.migration run all --plugin Faqs
4. Add links into the Admin menu for:-
  * /admin/faqs/
  * /admin/faqs/faq_categories
  

Usage
-----

For now the plugin doesn't do much other than drive the back-end. However, the Faq model comes with a handy getFaqs() method for building an array of FAQs grouped by FAQ categories. So in your controller you can do something like:-

    $this->loadModel('Faqs.Faq');
    $faqs = $this->Faq->getFaqs();
    $this->set(compact('faqs'));